POST api/Recalls
Creates a new recall or updates an existent recall's information.
Request Information
URI Parameters
None.
Body Parameters
Model used to retrieve or set information about a recall.
RecallModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Date |
Date and time of the recall(Required). |
date |
None. |
| Active |
Recall is active or not. If the recall is inactive, then it doesn't create communications. |
boolean |
None. |
| LocationExternalId |
Location's unique ID on integrating system (Required). |
string |
None. |
| DoctorExternalId |
Doctor's unique ID on integrating system (Required). |
string |
None. |
| PatientExternalId |
Patient's unique ID on integrating system (Required). |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
{
"date": "2026-10-12T23:26:12.9673804+00:00",
"active": true,
"locationExternalId": "sample string 3",
"doctorExternalId": "sample string 4",
"patientExternalId": "sample string 5",
"id": "bde1698d-0d66-4297-847f-84b4568b327f",
"externalId": "sample string 7"
}
application/xml, text/xml
<RecallModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Recalls"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 7</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">bde1698d-0d66-4297-847f-84b4568b327f</Id> <Active>true</Active> <Date>2026-10-12T23:26:12.9673804+00:00</Date> <DoctorExternalId>sample string 4</DoctorExternalId> <LocationExternalId>sample string 3</LocationExternalId> <PatientExternalId>sample string 5</PatientExternalId> </RecallModel>
application/x-www-form-urlencoded
Response Information
Resource Description
RecallModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Date |
Date and time of the recall(Required). |
date |
None. |
| Active |
Recall is active or not. If the recall is inactive, then it doesn't create communications. |
boolean |
None. |
| LocationExternalId |
Location's unique ID on integrating system (Required). |
string |
None. |
| DoctorExternalId |
Doctor's unique ID on integrating system (Required). |
string |
None. |
| PatientExternalId |
Patient's unique ID on integrating system (Required). |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
{
"date": "2026-10-12T23:26:12.9673804+00:00",
"active": true,
"locationExternalId": "sample string 3",
"doctorExternalId": "sample string 4",
"patientExternalId": "sample string 5",
"id": "aa9cc15b-a697-4d21-905e-40b7e83e2d16",
"externalId": "sample string 7"
}
application/xml, text/xml
<RecallModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Recalls"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 7</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">aa9cc15b-a697-4d21-905e-40b7e83e2d16</Id> <Active>true</Active> <Date>2026-10-12T23:26:12.9673804+00:00</Date> <DoctorExternalId>sample string 4</DoctorExternalId> <LocationExternalId>sample string 3</LocationExternalId> <PatientExternalId>sample string 5</PatientExternalId> </RecallModel>